commit:     61e3398e7c9dd08b486446cd4cedbc1fe7ca2795
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  8 11:40:03 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Sun Sep  8 12:05:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61e3398e

app-pda/libplist: add 2.6.0

Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 app-pda/libplist/Manifest              |  1 +
 app-pda/libplist/libplist-2.6.0.ebuild | 41 ++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-pda/libplist/Manifest b/app-pda/libplist/Manifest
index d9ffa60af239..291b0e743b2a 100644
--- a/app-pda/libplist/Manifest
+++ b/app-pda/libplist/Manifest
@@ -1,2 +1,3 @@
 DIST libplist-2.2.0.tar.xz 102932 BLAKE2B 
cca3099d5a2230feb67fd4d54777f2c3d0a083b811d2b7e3365399d2c2d2fff922a3c9f4924400810b71d92668779ede663c9ed2cebc8acd6f3b2c6e09285d90
 SHA512 
913a8d05239496d8e8e458e1cb974813d8b5ca013df9e0fddb97b1da6006c300f6ba2be2f3826fd157c0ae4ff2d003ecfdc55e2401884be26360ffe0ebdabd79
 DIST libplist-2.3.0.tar.xz 123876 BLAKE2B 
2e5555eeeed5a7572fcdb98e537af842af1d056bb5fe42ae83b7e71e1a57535ee388fc263c9b7a495feccbe5d2d7c53c89987fb0a81573fe3f5ac9f884144cf7
 SHA512 
ce86f066ea03d86b3a6dcca5905044e93af46164ab55be167f7804926b7e28c3383a024903986fb273b8c40b07b749f5431048ce76e550674f83388d6cff7542
+DIST libplist-2.6.0.tar.bz2 493169 BLAKE2B 
d022b64a02e30fe7d5f2937e8b6743b0af8f30cf2012e2c19da9f10366200d25968b11a401a62697ce46eb71d08111104115a993e2f578c36e19ccd42d9eb627
 SHA512 
67b9ef7c1cf1edd9e0a13462cc21a42dba6bb1ff4465edd56c5d4251e4063e71eb8839ed9952ffb8cdab9cd69ebb4ef46e5f804d3a2b4e44b4e04f6c571398a4

diff --git a/app-pda/libplist/libplist-2.6.0.ebuild 
b/app-pda/libplist/libplist-2.6.0.ebuild
new file mode 100644
index 000000000000..b4811e935f01
--- /dev/null
+++ b/app-pda/libplist/libplist-2.6.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Support library to deal with Apple Property Lists (Binary & XML)"
+HOMEPAGE="https://libimobiledevice.org/";
+SRC_URI="https://github.com/libimobiledevice/${PN}/releases/download/${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/4"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.2.0-pkgconfig-lib.patch
+)
+
+src_configure() {
+       local myeconfargs=(
+               --disable-static
+               --without-cython
+               $(use_with test tests)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       einstalldocs
+       find "${ED}" -name '*.la' -delete || die
+
+       # bugs #733082, #915375
+       dosym ./libplist-2.0.pc /usr/$(get_libdir)/pkgconfig/libplist.pc
+       dosym ./libplist++-2.0.pc /usr/$(get_libdir)/pkgconfig/libplist++.pc
+       dosym ./libplist++-2.0.so.4.6.0 /usr/$(get_libdir)/libplist++.so
+       dosym ./libplist-2.0.so.4.6.0 /usr/$(get_libdir)/libplist.so
+}

Reply via email to